import 'package:krow/core/application/clients/api/gql.dart';

const String getStaffPersonalInfoSchema = '''
query GetPersonalInfo {
  me {
    id
    first_name
    last_name
    middle_name
    email
    phone
    status
    avatar
  }
}
''';

const String updateStaffMutationSchema = '''
$staffFragment
mutation UpdateStaffPersonalInfo(\$input: UpdateStaffPersonalInfoInput!) {
  update_staff_personal_info(input: \$input) {
   ...StaffFields
  }
}
''';

const String updateStaffMutationWithAvatarSchema = '''
$staffFragment
mutation UpdateStaffPersonalInfo(\$input: UpdateStaffPersonalInfoInput!, \$file: Upload!) {
  update_staff_personal_info(input: \$input) {
   ...StaffFields
  }
  upload_staff_avatar(file: \$file)
}
''';